@import "../variables"
@import "../mixin"

// Col
+col()

// Flex
+flex()

// Space
+marginSpace()

.m-auto
  margin: auto

.flexPriority
  flex: 1

.flex-column
  flex-direction: column

.flex-row
  flex-direction: row

.flex-wrap
  flex-wrap: wrap

.flex-no-wrap
  flex-wrap: nowrap

.flex-y-center
  align-items: center

.flex-y-stretch
  align-items: stretch

.flex-y-end
  align-items: flex-end

.flex-y-start
  align-items: flex-start

.flex-x-center
  justify-content: center

.flex-x-between
  justify-content: space-between

.flex-x-around
  justify-content: space-around

.flex-x-end
  justify-content: flex-end

.flex-x-start
  justify-content: flex-start

.flex-over-center
  align-items: center
  justify-content: center


.order-1
  order: 1

.order-2
  order: 2

.order-3
  order: 3

// Displays
.d-flex
  display: flex

.d-none
  display: none

.visibility-hidden
  visibility: hidden

.d-block
  display: block

.d-inline-block
  display: inline-block

.d-inline
  display: inline

.d-inline-flex
  display: inline-flex

.d-flex-force
  display: flex !important

.d-block-force
  display: block !important

.d-inline-block-force
  display: inline-block !important

.d-inline-force
  display: inline !important

.d-inline-flex-force
  display: inline-flex !important

// Aligns
.align-self-start
  align-self: flex-start

.align-self-center
  align-self: center

.align-self-end
  align-self: flex-end

.text-center
  text-align: center

.text-left
  text-align: left

.text-justify
  text-align: justify


// Text Weight
.text-bold
  font-weight: $weight700 !important

.text-medium
  font-weight: $weight500 !important

.text-regular
  font-weight: $weight400 !important

.text-light
  font-weight: $weight300 !important

.text-ltr
  direction: ltr
  display: inline-block

// Font Size

.fontSize40
  font-size: $fontSize40

.fontSize28
  font-size: $fontSize28

.fontSize24
  font-size: $fontSize24

.fontSize20
  font-size: $fontSize20

.fontSize18
  font-size: $fontSize18

.fontSize16
  font-size: $fontSize16

.fontSize14
  font-size: $fontSize14

.fontSize12
  font-size: $fontSize12

.fontSize9
  font-size: $fontSize9

// Colors

.colorWhite
  color: $colorWhite !important

.colorRed
  color: $red-ed303d !important

.colorBlue
  color: $blue-18a0ff !important

.colorGreen
  color: $green-00966d !important
.colorYellow
  color: $yellow-daa43d !important

.colorGray
  color: $gray-2f2f2f !important

// Cursor
.cursorPointer
  cursor: pointer

.cursorNotAllowed
  cursor: not-allowed

.no-scroll
  overflow: hidden !important

.no-padding
  padding: 0 !important

.h100
  height: 100%

.w100
  width: 100%

.no-select
  -webkit-touch-callout: none
  -webkit-user-select: none
  -moz-user-select: none
  -ms-user-select: none
  user-select: none

.whiteSpaceNowrap
  white-space: nowrap

.faNum
  font-family: "yekanbakh", serif

.enNum
  font-family: "yekanbakhEn", serif

.relativeForce
  position: relative
